OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.InternalformatQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBInternalformatQuery :: MonadIO m => m Bool
- gl_ARB_internalformat_query :: Bool
- gl_NUM_SAMPLE_COUNTS :: GLenum
- glGetInternalformativ :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetARBInternalformatQuery :: MonadIO m => m Bool

Is the ARB_internalformat_query extension supported?

gl_ARB_internalformat_query :: Bool

Is the ARB_internalformat_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBInternalformatQuery` in those cases instead.

# Enums

gl_NUM_SAMPLE_COUNTS :: GLenum

# Functions

glGetInternalformativ

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalformat`.
-> GLenum | `pname`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.